| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::line_descriptor::LSDDetector Class Reference
Binary descriptors for lines extracted from an image

`#include <opencv2/line_descriptor/descriptor.hpp>`

Inheritance diagram for cv::line_descriptor::LSDDetector:

## Public Member Functions
| LSDDetector ()
| LSDDetector (LSDParam _params)
void | detect (const Mat &image, std::vector< KeyLine > &keypoints, int scale, int numOctaves, const Mat &mask=Mat())
| Detect lines inside an image. More...
void | detect (const std::vector< Mat > &images, std::vector< std::vector< KeyLine > > &keylines, int scale, int numOctaves, const std::vector< Mat > &masks=std::vector< Mat >()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< LSDDetector > | createLSDDetector ()
| Creates ad LSDDetector object, using smart pointers. More...
static Ptr< LSDDetector > | createLSDDetector (LSDParam params)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Constructor & Destructor Documentation

## ◆ LSDDetector() [1/2]

cv::line_descriptor::LSDDetector::LSDDetector | ( |  | ) |
| inline

Python:
| <line_descriptor_LSDDetector object> | = | cv.line_descriptor_LSDDetector( | _params | )

## ◆ LSDDetector() [2/2]

cv::line_descriptor::LSDDetector::LSDDetector | ( | LSDParam | _params | ) |
| inline

Python:
| <line_descriptor_LSDDetector object> | = | cv.line_descriptor_LSDDetector( | _params | )

## Member Function Documentation

## ◆ createLSDDetector() [1/2]

static Ptr<LSDDetector> cv::line_descriptor::LSDDetector::createLSDDetector | ( |  | ) |
| static

Python:
| retval | = | cv.line_descriptor.LSDDetector_createLSDDetector( |  | )
| retval | = | cv.line_descriptor.LSDDetector_createLSDDetectorWithParams( | params | )

Creates ad LSDDetector object, using smart pointers.

## ◆ createLSDDetector() [2/2]

static Ptr<LSDDetector> cv::line_descriptor::LSDDetector::createLSDDetector | ( | LSDParam | params | ) |
| static

Python:
| retval | = | cv.line_descriptor.LSDDetector_createLSDDetector( |  | )
| retval | = | cv.line_descriptor.LSDDetector_createLSDDetectorWithParams( | params | )

## ◆ detect() [1/2]

void cv::line_descriptor::LSDDetector::detect | ( | const Mat & | image,
|  | std::vector< KeyLine > & | keypoints,
|  | int | scale,
|  | int | numOctaves,
|  | const Mat & | mask = `Mat()`
| ) |  |

Python:
| keypoints | = | cv.line_descriptor_LSDDetector.detect( | image, scale, numOctaves[, mask] | )
| None | = | cv.line_descriptor_LSDDetector.detect( | images, keylines, scale, numOctaves[, masks] | )

Detect lines inside an image.

Parameters

  image | input image
  keypoints | vector that will store extracted lines for one or more images
  scale | scale factor used in pyramids generation
  numOctaves | number of octaves inside pyramid
  mask | mask matrix to detect only KeyLines of interest

## ◆ detect() [2/2]

void cv::line_descriptor::LSDDetector::detect | ( | const std::vector< Mat > & | images,
|  | std::vector< std::vector< KeyLine > > & | keylines,
|  | int | scale,
|  | int | numOctaves,
|  | const std::vector< Mat > & | masks = `std::vector< Mat >()`
| ) |  | const

Python:
| keypoints | = | cv.line_descriptor_LSDDetector.detect( | image, scale, numOctaves[, mask] | )
| None | = | cv.line_descriptor_LSDDetector.detect( | images, keylines, scale, numOctaves[, masks] | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters

  images | input images
  keylines | set of vectors that will store extracted lines for one or more images
  scale | scale factor used in pyramids generation
  numOctaves | number of octaves inside pyramid
  masks | vector of mask matrices to detect only KeyLines of interest from each input image

The documentation for this class was generated from the following file:

- opencv2/line_descriptor/descriptor.hpp